Subject: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 May 2018 18:57:36 +0300

> Date: Sun, 27 May 2018 08:22:59 +0200
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> I don't yet know who's responsible for scrolling a window when
> 'mouse-drag-region' is triggered by a single mouse click.  Until
> your report, I didn't even know that Emacs would scroll a window in
> that case although it seems convenient (and with a scroll margin of
> 1 and scrolling agressively set to 0.0 it scrolls quite smoothly).

Based on the description, I think it's redisplay that's scrolling,
because the mouse click sets point in a line that is visible only
partially.  One can make sure by invoking trace-redisplay before
clicking (but make sure you have blink-cursor-mode and
global-eldoc-mode turned off before you do that, to avoid unnecessary
redisplay cycles that will muddy the waters).